package eu.lucazanini.restoreobject;

import eu.lucazanini.restoreobject.customobject.CustomObject;
import android.app.Application;

public class MyApplication extends Application {

    public final static String OBJECT_IN_APPLICATION = "application object";
    public final static String TAG = MyApplication.class.getName();

    private CustomObject[][] customObject2DArray;

    public CustomObject[][] getCustomObjectArray() {
	return customObject2DArray;
    }

    public String getObjectDescription(String prefix) {
	StringBuilder sb = new StringBuilder();
	for (int i = 0; i < 3; i++) {
	    for (int j = 0; j < 3; j++) {
		sb.append(prefix + customObject2DArray[i][j].getName());
		sb.append("\n");
	    }
	}
	return sb.toString();
    }

    public void setCustomObjectArray() {
	customObject2DArray = new CustomObject[3][3];

	for (int i = 0; i < 3; i++) {
	    for (int j = 0; j < 3; j++) {
		customObject2DArray[i][j] = new CustomObject(
			OBJECT_IN_APPLICATION + " at " + i + ", " + j);
	    }
	}
    }

}
