package eu.lucazanini.restoreobject.customobject;

import android.os.Parcel;
import android.os.Parcelable;

public class CustomParcelableObject extends CustomObject implements Parcelable {

    public static final Parcelable.Creator<CustomParcelableObject> CREATOR = new Parcelable.Creator<CustomParcelableObject>() {
	@Override
	public CustomParcelableObject createFromParcel(Parcel in) {
	    return new CustomParcelableObject(in);
	}

	@Override
	public CustomParcelableObject[] newArray(int size) {
	    return new CustomParcelableObject[size];
	}
    };

    public CustomParcelableObject(String name) {
	super(name);
    }

    private CustomParcelableObject(Parcel in) {
	name = in.readString();
    }

    @Override
    public int describeContents() {
	return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
	dest.writeString(name);
    }

}
