package eu.lucazanini.restoreobject.customobject;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;

public class CustomSerializableObject extends CustomObject implements
	Serializable {

    private static final long serialVersionUID = -1669600905661049718L;

    public CustomSerializableObject(String name) {
	super(name);
    }

    private void readObject(ObjectInputStream inputStream)
	    throws ClassNotFoundException, IOException {
	inputStream.defaultReadObject();
    }

    private void writeObject(ObjectOutputStream outputStream)
	    throws IOException {
	outputStream.defaultWriteObject();
    }

}
